<!DOCTYPE html>
<html lang="en-us">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <style>
    .button {
      border: none;
      color: white;
      padding: 15px 32px;
      text-align: center;
      text-decoration: none;
      display: inline-block;
      font-size: 16px;
      margin: 4px 2px;
      cursor: pointer;
    }
    .button1 {background-color: #4CAF50;}
    .button2 {background-color: #008CBA;}
    .button3 {background-color: #ff2337;}
  </style>
</head>
<body>
<script language="javascript">
function getButtonsNumber() {
    return Number.parseInt(document.getElementById("buttonsNumber").value);
}
function gameZone() {
    const buttonsNumber = getButtonsNumber();
    var htmlCode = "<h2> Now guess the button ! </h2>";
    for (let i = 1; i <= buttonsNumber; ++i) {
        let classNumber = i % 3 + 1;
        htmlCode += '<p><button class="button button' + classNumber + '" name="button' + i + '"  onClick="buttonReaction(name)"> Button ' + i + ' </button></p>';
    }
    document.getElementById("gameZone").innerHTML = htmlCode;
}
function buttonReaction(name) {
    const buttonsNumber = getButtonsNumber();
    const buttonId = 1 + Math.floor(Math.random() * buttonsNumber);
    if (buttonId === Number.parseInt(name.substring(6))) {
        alert('You guessed!');
    } else {
        alert('You are wrong');
    }
}
</script>
<h1>In this game you have to find the button I've chosen </h1>
<h2> Firstly enter the number of buttons I chose from: </h2>
<h2>
  <label> &nbsp&nbsp N : </label> <input type="text" id="buttonsNumber">
  <button type="button" onClick="gameZone()"> Submit </button>
</h2>
<br>
<div id="gameZone"></div>
</body>
</html>
